extends Node

enum GAMETIME {
	MIN = 60*5,
	MAX = 60*6
}

var lastHealth = 10

var money = 0

var StormTimeLeft = 100

var StormThreshold = 30

var extracted = false

func resetValues():
	extracted = false
	money = 0
	lastHealth = 10
	StormTimeLeft = 100

func addMoney(n):
	money += n
	
func setLastHealth(n):
	lastHealth = n

func isStormThreshold():
	return StormThreshold >= StormTimeLeft

func getStormThreshold():
	return StormThreshold

func extractPlayer():
	extracted = true
